##
## container.py
## Login : <uli@pu.smp.net>
## Started on  Thu Jan 20 04:33:18 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""
JAMBdata specific containers for university applicants.
"""
import grok
from waeup.sirp.applicants.containers import ApplicantsContainer
from waeup.sirp.applicants.interfaces import (
    IApplicantsContainer, IApplicantsContainerProvider,
    )

class JAMBBasedApplicantsContainer(ApplicantsContainer):
    """An applicants container contains university applicants.

    For applicants added to this container JAMB data must be available
    already.
    """
    REQUIRES_JAMBDATA = True
